Skip to main content
POST
/
1
/
sources
/
{sourceID}
/
run
curl
curl --request POST \
  --url https://data.us.algolia.com/1/sources/6c02aeb1-775e-418e-870b-1faccd4b2c0f/run \
  --header 'accept: application/json' \
  --header 'content-type: application/json' \
  --header 'x-algolia-api-key: ALGOLIA_API_KEY' \
  --header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
  --data '
{
  "indexToInclude": [
    "lorem"
  ],
  "indexToExclude": [
    "lorem"
  ],
  "entityIDs": [
    "lorem"
  ],
  "entityType": "product",
  "runMetadata": {}
}
'
{
  "createdAt": "<string>",
  "taskWithRunID": {}
}
Creates one run per task. Required ACL: addObject, deleteIndex, editSettings

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Path Parameters

sourceID
string
required

Unique identifier of a source. Universally uniqud identifier (UUID) of a source.

Example:

"6c02aeb1-775e-418e-870b-1faccd4b2c0f"

Body

application/json
entityIDs
string[]

List of entityIDs to update.

entityType
enum<string>

Type of entity to update.

Available options:
product,
collection
indexToExclude
string[]

List of index names to exclude in reindex/update.

indexToInclude
string[]

List of index names to include in reindex/update.

runMetadata
object

Additional information that will be passed to the created runs.

Response

OK

createdAt
string
required

Date and time when the resource was created, in RFC 3339 format.

taskWithRunID
object
required

Map of taskID sent for reindex with the corresponding runID.

Last modified on March 23, 2026